yi-core-0.19.4: Yi editor core library

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Extensions

- OverloadedStrings
- DeriveDataTypeable
- GeneralizedNewtypeDeriving

Yi.TextCompletion

Contents

- Word completion

Description

Module providing text completion functions.

Synopsis

- wordComplete :: YiM ()
- wordComplete' :: Bool -> YiM ()
- wordCompleteString :: YiM Text
- wordCompleteString' :: Bool -> YiM Text
- mkWordComplete :: YiM Text -> (Text -> YiM [Text]) -> ([Text] -> YiM ()) -> (Text -> Text -> Bool) -> YiM Text
- resetComplete :: EditorM ()
- completeWordB :: CompletionScope -> EditorM ()
- data CompletionScope
  - = FromCurrentBuffer
  - | FromAllBuffers

# Word completion

wordComplete :: YiM () Source #

wordComplete' :: Bool -> YiM () Source #

wordCompleteString :: YiM Text Source #

wordCompleteString' :: Bool -> YiM Text Source #

mkWordComplete Source #

Arguments

:: YiM Text | Extract function
-> (Text -> YiM [Text]) | Source function
-> ([Text] -> YiM ()) | Message function
-> (Text -> Text -> Bool) | Predicate matcher
-> YiM Text |

Try to complete the current word with occurrences found elsewhere in the editor. Further calls try other options.

resetComplete :: EditorM () Source #

Switch out of completion mode.

completeWordB :: CompletionScope -> EditorM () Source #

data CompletionScope Source #

Constructors

FromCurrentBuffer |
FromAllBuffers |

#### Instances

Instances details

Show CompletionScope Source # |
Instance details Defined in Yi.TextCompletion Methods showsPrec :: Int -> CompletionScope -> ShowS Source # show :: CompletionScope -> String Source # showList :: [CompletionScope] -> ShowS Source #
Eq CompletionScope Source # |
Instance details Defined in Yi.TextCompletion Methods (==) :: CompletionScope -> CompletionScope -> Bool Source # (/=) :: CompletionScope -> CompletionScope -> Bool Source #